<?php
#############################################################################
#	NOTE				Dienstag, 2. Juni 2009 12:27						#
#############################################################################
#	Plugin  : Ajax Private Message Notification								#
#	Author  : Philipp Seidel (Toasterfraktion) <support@toasterfraktion.de>	#
#	Version : 1.5 Beta														#
#	Website : http://www.toasterfraktion.de									#
#	License : license.html													#
#			  http://creativecommons.org/licenses/by-nc-nd/3.0/en			#
#############################################################################

/** 
* Polish Language File developed by mybboard.pl for Ajax Private Message Notification 1.5 Beta
* Tłumaczenie: Victor (victor.org.pl)
* Poprawki: Ekipa Polskiego Supportu MyBB (mybboard.pl)
* Wersja 1.0
**/ 
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$plugins->add_hook("pre_output_page", "ajaxpmnotification");

function ajaxpmnotification_info()
{
	return array(
		"name"			=> "Ajax Private Message Notification",
		"description"	=> bes(),
		"website"		=> "http://www.toasterfraktion.de",
		"author"		=> "Philipp Seidel (Toasterfraktion)",
		"authorsite"	=> "http://www.toasterfraktion.de",
		"version"		=> "1.5 Beta",
		"guid" 			=> "494e5e19c71a9a819be8df502aeacfee",
		"compatibility" => "14*");
}

function bes()
{
	global $mybb;
	$msg = "Sprawdza czy użytkownik dostał nową wiadomośc i wyświetla \"Popup\" ~ [Powered by Ajax]";
	$msg .= "<ul>";
	$msg .= "<li style=\"list-style-image: url(styles/default/images/icons/warning.gif)\">";
	$msg .= "Proszę o raportowanie bugów oraz pisanie propozycji na adres <a href=\"mailto:support@toasterfraktion.de\">support@toasterfraktion.de</a><br /></li>";
	$msg .= "<span style=\"font-size:smaller; color:grey;\">(Ta wiadomość zniknie, gdy plugin przejdzie stadium Beta.)</span>";

	if($mybb->settings["enablepms"] == 0)
	{
		$msg .= "<li style=\"list-style-image: url(styles/default/images/icons/error.gif)\">";
		$msg .= "Prywatne wiadomości są wyłączone! Nie możesz używać tego pluginu!</li>";
	}
	$msg .= "</ul>";
	return $msg;
}

function ajaxpmnotification_activate()
{
	global $db, $lang;
	
	$lang->load("ajaxpmnotification");

	$ajaxpm_title			=	$lang->ajaxpm_title;
	$ajaxpm_des				=	$lang->ajaxpm_bes;
	$refresh_time_title		=	$lang->refresh_time_title;
	$refresh_time_bes		=	$lang->refresh_time_bes; 
	$border_color_title		=	$lang->border_color_title;
	$border_color_bes		=	$lang->border_color_bes;
	$background_color_title	=	$lang->background_color_title;
	$background_color_bes	=	$lang->background_color_bes;
	$font_color_title		=	$lang->font_color_title;
	$font_color_bes			=	$lang->font_color_bes;

	$query = $db->query("SELECT gid FROM ".TABLE_PREFIX."settinggroups ORDER BY `gid` DESC LIMIT 0,1");
	$disporder = $db->fetch_field($query, 'gid')+1;
	$group = array(
		"gid"			=> NULL,
		"name"			=> "ajaxpmnotification",
		"title"			=> $lang->ajaxpm_title,
		"description"	=> $lang->ajaxpm_bes,
		"disporder"		=> $disporder,
		"isdefault"		=> "no",
	);

	$db->insert_query("settinggroups", $group);
	$gid = $db->insert_id();
	
	$s_1 = array(
		"sid"			=> NULL,
		"name"			=> "ajaxpmnotification_refresh_time",
		"title"			=> $lang->refresh_time_title,
		"description"	=> $lang->refresh_time_bes,
		"optionscode"	=> "text",
		"value"			=> "8",
		"disporder"		=> "1",
		"gid"			=> intval($gid)
	);
	$s_2 = array(
		"sid"			=> NULL,
		"name"			=> "ajaxpmnotification_border_color",
		"title"			=> $lang->border_color_title,
		"description"	=> $lang->border_color_bes,
		"optionscode"	=> "text",
		"value"			=> "#FFFFFF",
		"disporder"		=> "2",
		"gid"			=> intval($gid)
	);
	$s_3 = array(
		"sid"			=> NULL,
		"name"			=> "ajaxpmnotification_background_color",
		"title"			=> $lang->background_color_title,
		"description"	=> $lang->background_color_bes,
		"optionscode"	=> "text",
		"value"			=> "#CCCCCC",
		"disporder"		=> "3",
		"gid"			=> intval($gid)
	);
	$s_4 = array(
		"sid"			=> NULL,
		"name"			=> "ajaxpmnotification_font_color",
		"title"			=> $lang->font_color_title,
		"description"	=> $lang->font_color_bes,
		"optionscode"	=> "text",
		"value"			=> "#000000",
		"disporder"		=> "4",
		"gid"			=> intval($gid)
	);
	$s_5 = array(
		"sid"			=> NULL,
		"name"			=> "ajaxpmnotification_style",
		"title"			=> $lang->style_title,
		"description"	=> $lang->style_bes,
		"optionscode"	=> "textarea",
		"value"			=> '<div id="a" style="position:fixed; width:25%; right:60px; top:20px; font-size:12px; font-family:Verdana; padding:10px; background-color:[background_color]; border:1px solid [border_color]; -moz-border-radius:10px;-khtml-border-radius:30px; -khtml-border-radius:30px; opacity:[opacity];"><a style="color:[font_color]; text-decoration:none;" href="[bburl]/private.php"><img style="vertical-align:middle; padding:2px;" src="[bburl]/images/new_pm.gif" alt="PM"  />[result]</a>
</div>',
		"disporder"		=> "6",
		"gid"			=> intval($gid)
	);
	$s_6 = array(
		"sid"			=> NULL,
		"name"			=> "ajaxpmnotification_opacity",
		"title"			=> $lang->opacity_title,
		"description"	=> $lang->opacity_bes,
		"optionscode"	=> "text",
		"value"			=> '0.9',
		"disporder"		=> "5",
		"gid"			=> intval($gid)
	);
	
	$db->insert_query("settings", $s_1);
	$db->insert_query("settings", $s_2);
	$db->insert_query("settings", $s_3);
	$db->insert_query("settings", $s_4);
	$db->insert_query("settings", $s_5);
	$db->insert_query("settings", $s_6);
	rebuild_settings();
}

function ajaxpmnotification_deactivate()
{
	global $db;

	$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='ajaxpmnotification'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='ajaxpmnotification_refresh_time'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='ajaxpmnotification_border_color'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='ajaxpmnotification_background_color'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='ajaxpmnotification_font_color'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='ajaxpmnotification_style'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='ajaxpmnotification_opacity'");
	rebuild_settings();
}

function ajaxpmnotification($page)
{
	global $mybb;
	
	$pms_unread  = $mybb->user["pms_unread"];
	$pmnotice 	 = $mybb->user['pmnotice'];
	$enablepms 	 = $mybb->settings["enablepms"];
	$canusepms 	 = $mybb->usergroup["canusepms"];
	$canview 	 = $mybb->usergroup["canview"];
	
	$seconds	 = $mybb->settings['ajaxpmnotification_refresh_time'] * 1000;
	
	$js_code="<script type=\"text/javascript\"><!-- \n function pm_load(){ \n var rnd = Math.round(Math.random()*10*10*10*10+1);
	new Ajax.Request('ajax_pm.php?ie_'+rnd*3+'='+rnd, {method: 'get', onComplete: function(request) \n
	{ $('ajaxpmnotification').innerHTML = request.responseText; }}); } pm_load(); setInterval(\"pm_load()\", ".$seconds."); \n //--> \n</script></head>";
	
	$is_msie_5 = stripos($_SERVER["HTTP_USER_AGENT"],"MSIE 5");
	$is_msie_6 = stripos($_SERVER["HTTP_USER_AGENT"],"MSIE 6");
	
	if(!($is_msie_5 || $is_msie_6 ))
	{
		if ($pmnotice !=2  && $enablepms != 0 && $canusepms != 0 && $canview != 0)
		{	
			$page = str_replace("</body>", "<div id=\"ajaxpmnotification\"></div></body>", $page);
			$page = str_replace("</head>",$js_code."</head>", $page);
			return $page;
		}
	}
	
}

?>